
#include "stdafx.h"
#include "debug.h"

void uncond_assert(const char *expr, const char *file, const int line)
{ 
    CString msg; 
    char *pMsg = msg.GetBuffer(200); 

    wsprintf(pMsg,"Assertion failed: %s at %s line %d", expr, file, line); 
    ::MessageBox(NULL,pMsg,"Bug!",MB_OK);
    msg.ReleaseBuffer();
    AfxAbort();
}
